BillingPayments

Get billing address

GET/billing/v1/address

Returns the organization's billing address

X-API-Key<token>

In: header

Response Body

200application/json

OK

type: object

city?string
country?string
email?string
line1?string
line2?string
name?string
phone?string
postal_code?string
state?string
401application/json

Unauthorized

type: object

code?integer

HTTP status code

details?string

Optional details about the error

error?string

Error message describing what went wrong

curl -X GET "https://api.rixl.com/billing/v1/address"
fetch("https://api.rixl.com/billing/v1/address", {
  method: "GET"
})
package main

import (
  "fmt"
  "net/http"
  "io/ioutil"
)

func main() {
  url := "https://api.rixl.com/billing/v1/address"

  req, _ := http.NewRequest("GET", url, nil)

  res, _ := http.DefaultClient.Do(req)
  defer res.Body.Close()
  body, _ := ioutil.ReadAll(res.Body)

  fmt.Println(res)
  fmt.Println(string(body))
}
import requests

url = "https://api.rixl.com/billing/v1/address"

response = requests.request("GET", url)

print(response.text)
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
import java.net.http.HttpResponse.BodyHandlers;
import java.time.Duration;

HttpClient client = HttpClient.newBuilder()
  .connectTimeout(Duration.ofSeconds(10))
  .build();

HttpRequest.Builder requestBuilder = HttpRequest.newBuilder()
  .uri(URI.create("https://api.rixl.com/billing/v1/address"))
  .GET()
  .build();

try {
  HttpResponse<String> response = client.send(requestBuilder.build(), BodyHandlers.ofString());
  System.out.println("Status code: " + response.statusCode());
  System.out.println("Response body: " + response.body());
} catch (Exception e) {
  e.printStackTrace();
}
using System;
using System.Net.Http;
using System.Text;

var client = new HttpClient();
var response = await client.GetAsync("https://api.rixl.com/billing/v1/address");
var responseBody = await response.Content.ReadAsStringAsync();

OK

application/json

{
  "city": "string",
  "country": "string",
  "email": "string",
  "line1": "string",
  "line2": "string",
  "name": "string",
  "phone": "string",
  "postal_code": "string",
  "state": "string"
}

Unauthorized

application/json

{
  "code": 401,
  "details": "The provided ID is not valid",
  "error": "Unauthorized"
}